Get Sensor Status

Get Sensor Status
Get sensor status

Get status for the sensor appliance, including health of the components.

Request
URI
GET
https://{api_host}/sensors/appliances/{appliance-id}/status
COPY
Path Parameters
string
appliance-id
Required  

Used to identify a sensor appliance.

appliance-id example
8c147e21-7410-4f77-a3a6-e7aa6034992f

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns SensorStatus of type(s) application/json
{
    "registration_status": "REGISTERED",
    "health": "OK",
    "rapid_health": "DISABLED",
    "sniffing_health": "OK",
    "uploading_health": "OK",
    "uptime": 36782390
}
string
registration_status
Read-Only  

The status of registration of the sensor.

Enumeration: REGISTERED, IN_PROGRESS, FAILED
string
health
Read-Only  

The health of the sensor is a combination of the health of the sniffing pipeline, the uploading daemon, and the RAPID and related containers.

Enumeration: OK, DOWN, DEGRADED, DISABLED, DISCONNECTED, NOT_AVAILABLE
string
sniffing_health
Optional

The sniffing pipeline is responsible for analyzing the traffic on the wire and generating events.

Enumeration: OK, DOWN, DEGRADED, DISABLED, NOT_AVAILABLE
string
uploading_health
Optional

The uploading daemon is responsible for uploading the events generated by the sniffing pipeline to the SSP.

Enumeration: OK, DOWN, DEGRADED, DISABLED, NOT_AVAILABLE
string
rapid_health
Optional

RAPID and related containers provide the file analysis functionality of the sensor.

Enumeration: OK, DOWN, DEGRADED, DISABLED, NOT_AVAILABLE
integer As int64 As int64
uptime
Optional

Sensor appliances will generally have a high uptime. The sensor typically does not restart on its own however some configurations may require a restart.

integer As int64 As int64
_last_modified_time
Optional

Timestamp in milliseconds since epoch.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "sensor",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-sensor-all"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sensors/appliances/{appliance-id}/status